首页 建站流程 wordpress建站环境...

wordpress建站环境要求

作者:

修改日期:

wordpress作为全球使用人群最多,插件模板最多的一套强大的建站程序,已经渐渐的被国内很多建站爱好者作为搭建博客、企业、cms网站的首选,但是wordpress程序的安装环境一直被忽略,每一套程序都需要一个最佳的空间环境,wordpress程序也是一样,让我们了解下wordpress程序安装需要什么样的空间配置环境。

服务器环境要求
PHP 5.2.4 或更新版本
MySQL 5.0 或更新版本
Apache mod_rewrite 模块(可选,用于支持“固定链接”和“站点网络”功能)

这是wordpress官方给出的程序环境配置要求:
1、空间需要支持php语言,并且语言版本需达到5.2.4以上;
2、wordpress只能使用MySQL数据库,并且版本需要在5.0以上;
3、wordpress空间环境需开启Apache mod_rewrite 模块,这点需要解释下,目前国内IDC服务商提供的主机大多都是windows操作系统,这个系统和wordpress不是最好的组合,因为windows空间大多未开启Apache mod_rewrite 模块,缺少此模块会导致很多小bug,例如,会导致伪静态制作繁琐,不利于新手操作,很多需要邮件系统的插件失效,包含wordpress本身的找回密码和用户注册邮件通知等。
综上所述,wordpress程序的使用需要配备的最佳空间环境为:PHP语言+MySQL数据库+Linux/Unix操作系统,购买的时候一定要注意了哦!